Due to a recent update on Javascript code a full page refresh on your browser might be needed.
Bug 773280 (CVE-2012-0038) - CVE-2012-0038 kernel: xfs heap overflow
Summary: CVE-2012-0038 kernel: xfs heap overflow
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2012-0038
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 773282 773283 773284 773285 782682 816625
Blocks: 773263
TreeView+ depends on / blocked
 
Reported: 2012-01-11 12:17 UTC by Eugene Teo (Security Response)
Modified: 2019-09-29 12:49 UTC (History)
21 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-24 13:15:07 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0333 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2012-02-24 01:21:35 UTC
Red Hat Product Errata RHSA-2012:0350 normal SHIPPED_LIVE Moderate: kernel security and bug fix update 2012-03-06 23:43:05 UTC
Red Hat Product Errata RHSA-2012:1042 normal SHIPPED_LIVE Important: kernel security and bug fix update 2012-06-26 22:40:37 UTC

Description Eugene Teo (Security Response) 2012-01-11 12:17:06 UTC
Commit ef14f0c1578dce4b688726eb2603e50b62d6665a introduced an integer overflow in the ACL handling code, which could further lead to heap-based buffer overflow via a crafted filesystem.

Upstream commits:
http://git.kernel.org/linus/fa8b18edd752a8b4e9d1ee2cd615b82c93cf8bba
http://git.kernel.org/linus/093019cf1b18dd31b2c3b77acce4e000e2cbc9ce

Both commits are needed to fix the vulnerability.

The vulnerability seems to first appear in 2.6.32-rc1.  3.2 contains only the
first commit.

Acknowledgements:

Red Hat would like to thank Wang Xi for reporting this issue.

Comment 3 Eugene Teo (Security Response) 2012-01-18 07:09:55 UTC
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 782682]

Comment 5 errata-xmlrpc 2012-02-23 20:24:15 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2012:0333 https://rhn.redhat.com/errata/RHSA-2012-0333.html

Comment 6 errata-xmlrpc 2012-03-06 18:46:24 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0350 https://rhn.redhat.com/errata/RHSA-2012-0350.html

Comment 7 Eugene Teo (Security Response) 2012-03-07 03:00:44 UTC
Statement:

This issue did not affect the Linux kernel as shipped with Red Hat Enterprise Linux 4 as it did not have support for the XFS file system. It did not affect the Linux kernel as shipped with Red Hat Enterprise Linux 5 as it did not backport the upstream commit ef14f0c1 that introduced the vulnerability. This has been addressed in Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG via https://rhn.redhat.com/errata/RHSA-2012-0350.html, and https://rhn.redhat.com/errata/RHSA-2012-0333.html.

Comment 9 errata-xmlrpc 2012-06-26 18:43:05 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.1 EUS - Server Only

Via RHSA-2012:1042 https://rhn.redhat.com/errata/RHSA-2012-1042.html


Note You need to log in before you can comment on or make changes to this bug.